let mapleader = ","

call plug#begin(stdpath('data') . '/plugged')
Plug 'neoclide/coc.nvim', {'branch': 'release'}
Plug 'morhetz/gruvbox'
call plug#end()

set keymap=russian-jcukenwin
set iminsert=0
set imsearch=0
set mouse=a
set nowrapscan
let g:gruvbox_italic=1
colorscheme gruvbox
inoremap <M-Space> <C-^>

function CandCPP_hook()
    source ~/.local/share/nvim/plugged/coc.nvim_vimrc
    setlocal makeprg=umake
    setlocal shiftwidth=4
    setlocal softtabstop=4
    setlocal number
    nnoremap <buffer> <F7> :make<CR>
    inoremap <buffer> {<CR> {<CR>}<Esc>ko
    inoremap <buffer> {;<CR> {<CR>};<Esc>ko
    inoremap <buffer> <silent><expr> <c-L> coc#refresh()
endfunction

function Mql_hook()
    setlocal ft=cpp
    setlocal makeprg=compile_mql
    nnoremap <buffer> <F7> :exe "make" expand('%:p')<CR>
endfunction

augroup Mode_hooks_group
    autocmd!
    autocmd FileType c call CandCPP_hook()
    autocmd FileType cpp call CandCPP_hook()
    autocmd BufNewFile,BufRead *.mq5 call Mql_hook()
    autocmd BufNewFile,BufRead *.mqh call Mql_hook()
augroup End
